%define anolis_release 4

Version:        1.1
Release:        %{anolis_release}%{?dist}
Name:           libunistring
Summary:        library for manipulating Unicode strings and C strings
License:        GPLv2+ or LGPLv3+
URL:            https://www.gnu.org/software/libunistring/
Source0:        https://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ automake autoconf
Provides:       bundled(gnulib)

%description
This library provides functions for manipulating Unicode strings 
and for manipulating C strings according to the Unicode standard.


%package devel
Summary:        development files for GNU Unicode string library
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for programs using libunistring.

%package doc
Summary:        Documentation files for libunistring
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The libunistring-doc package contains documentation files for libunistring.


%prep
%autosetup -p1


%build
%configure --disable-static --disable-rpath
%make_build


%install
%make_install
mv $RPM_BUILD_ROOT%{_datadir}/doc/libunistring __doc
%generate_compatibility_deps


%files
%dir %{abidir}
%{_libdir}/libunistring.so.*
%license COPYING COPYING.LIB
%{abidir}/libunistring.dump

%files devel
%{_libdir}/libunistring.so
%{_infodir}/libunistring.info*
%{_includedir}/unistring
%{_includedir}/*.h
%doc HACKING DEPENDENCIES THANKS ChangeLog __doc/*

%files doc
%doc NEWS README AUTHORS 


%changelog
* Mon Apr 10 2023 chen_yu_ao <m15927509890@163.com> - 1.1-4
- change spec file format

* Thu Nov 24 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1-3
- remove libunistring.so.2*

* Wed Nov 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1-2
- add libunistring.so.2* from version 1.0 to fix build env
- after all other pkgs update based on version 1.1, will remove libunistring.so.2*

* Tue Nov 22 2022 Funda Wang <fundawang@yeah.net> - 1.1-1
- New version 1.1

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0-2
- optimise spec file & add doc package

* Tue Mar 08 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.0-1
- Update to upstream 1.0 release
- Init for Anolis OS 23
